Name:          codelite
Version:       9.1
Release:       2mamba
Summary:       An IDE for the C/C++/PHP/Node.js programming languages
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.codelite.org/
## GITSOURCE https://github.com/eranif/codelite.git 9.1
Source:        https://github.com/eranif/codelite.git/%{version}/codelite-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libhunspell-devel
BuildRequires: libllvm-devel
BuildRequires: libpango-devel
BuildRequires: libsqlite-devel
BuildRequires: libssh-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwx_baseu-devel
BuildRequires: libwx_gtk3u-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libllvm-devel >= 3.8
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An IDE for the C/C++/PHP/Node.js programming languages.

%debug_package

%prep
%setup -q
#-D -T
%ifarch x86_64
sed -i 's|"lib"|"lib64"|' CMakeLists.txt
%endif

%build
%cmake -d build \
   -DPREFIX=%{_prefix}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/codelite*
%dir %{_libdir}/codelite
%{_libdir}/codelite/*.so
%dir %{_libdir}/codelite/debuggers
%{_libdir}/codelite/debuggers/DebuggerGDB.so
%{_datadir}/applications/codelite.desktop
%{_datadir}/icons/hicolor/*/apps/codelite.png
%dir %{_datadir}/codelite
%{_datadir}/codelite/*
%{_mandir}/man1/codelite-make.1*
%{_mandir}/man1/codelite.1*
%{_mandir}/man1/codelite_fix_files.1*
%doc AUTHORS COPYING LICENSE

%changelog
* Tue Jun 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1-2mamba
- rebuilt with llvm 3.8.0

* Tue Feb 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1-1mamba
- package created using the webbuild interface
